PROGS+=$(addprefix $(o)/mop/admin/,\
md5crypt \
mo-backup \
- mo-cms-users \
+ mo-cms-users mo-cms-groupmin \
mo-create-contestants mo-create-logins mo-create-public \
- mo-upload-contestants mo-upload-logins mo-help-upload-logins mo-upload-public \
+ mo-upload-contestants mo-upload-logins mo-help-upload-logins mo-upload-public mo-upload-skeleton \
mo-get-users)
$(o)/mop/admin/md5crypt: $(o)/mop/admin/md5crypt.o $(LIBUCW)
--- /dev/null
+#!/bin/bash
+#create JSON group min score parameters for CMS
+
+[ -d "$1" ] && cd "$1"
+
+in=`mktemp`
+out=`mktemp`
+
+ls | grep '^[0-9][0-9][a-z]\?\.in' | sed 's/\.in$//' > "$in"
+ls | grep '^[0-9][0-9][a-z]\?\.out' | sed 's/\.out$//' > "$out"
+
+diff "$in" "$out" >&2 || echo WARNING: diff between input and output! >&2
+
+#using input
+< "$in" sed 's/[a-z]$//' | sort -nu | while read i; do
+ count="`grep "^$i" < "$in" | wc -l`"
+ echo "[1,$count]"
+done | sed 's/^/ /; 1s/^/[\n/; s/$/,/; $s/,$/\n]/'
+
+rm -f "$in" "$out"